## connective-plugin-linux 0~20250603

=== requirements.txt ===
pyscard>=2.0.2
requests

=== debian/changelog ===
connective-plugin-linux (0~20250603-1) unstable; urgency=medium

  * Initial release.

 -- Sébastien Noel <sebastien@twolife.be>  Sun, 15 Jun 2025 10:28:51 +0000

=== debian/control ===
Source: connective-plugin-linux
Section: net
Priority: optional
Maintainer: Sébastien Noel <sebastien@twolife.be>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), jq
Standards-Version: 4.6.2
Homepage: https://github.com/roelderickx/connective-plugin-linux

Package: webext-connective-beid
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python3:any, python3-pyscard, python3-tk
Description: Connective Browser Plugin alternative.
 A replacement for the Connective Plugin which is used on several websites
 to log in or sign documents using a card reader and the belgian eID.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:

override_dh_auto_install:
	install -m 755 connective-backend.py debian/webext-connective-beid/usr/libexec/connective-beid-backend
	install -m 755 get_connective_plugin.py debian/webext-connective-beid/usr/bin/connective-beid-get_plugin
	jq '.path="/usr/libexec/connective-beid-backend" | del(.allowed_origins)' native-manifest.json > debian/webext-connective-beid/usr/lib/mozilla/native-messaging-hosts/com.connective.signer.json
	jq '.path="/usr/libexec/connective-beid-backend" | del(.allowed_extensions)' native-manifest.json > debian/webext-connective-beid/etc/chromium/native-messaging-hosts/com.connective.signer.json

=== debian/watch ===
version=4

opts="\
pgpmode=none,\
mode=git,\
pretty=0~%cd,compression=xz,\
" https://github.com/roelderickx/connective-plugin-linux.git HEAD \
  debian uupdate
